<?php
/**
*
* This file is part of the phpBB Forum Software package.
*
* @copyright (c) phpBB Limited <https://www.phpbb.com>
* @license GNU General Public License, version 2 (GPL-2.0)
*
* For full copyright and license information, please see
* the docs/CREDITS.txt file.
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine

$lang = array_merge($lang, array(
	'NO_CONFIG_TITLE'					=> 'Keine Parameter',
	'NO_CONFIG_TEXT'					=> 'Keine Parameter zum anzeigen',

	'CONFIG_PURPOSE'					=> 'Zweck',
	'CONFIG_NAME'						=> 'Parameter',
	'CONFIG_VALUE'						=> 'Wert',
	'IS_DYNAMIC'						=> 'Ist Dynamisch',
	'CONFIG_CHANGED_SUCCESS'			=> 'Die Konfigurationswerte wurden erfolgreich geändert',
	'CLICK_HERE_TO_CHANGE'				=> 'Klicke hier, um die Konfiguration zu ändern (Änderungen werden <b>sofort wirksam!</b>)',
	'TOTAL_ITEMS'						=> 'Total',
	'CRON_TASKS'						=> 'Cron Aufgaben',
	'ATTACHMENTS'						=> 'Anhänge',
	'AVATARS'							=> 'Avatare',
	'BOARD_CONFIG'						=> 'Board-Konfiguration',
	'BOARD_FUNCTIONS'					=> 'Boardfunktionen',
	'PM'								=> 'Private Nachrichten',
	'MESSAGES'							=> 'Nachrichten',
	'SIGNATURES'						=> 'Signaturen',
	'FEED'								=> 'Feed',
	'USER_REGISTER'						=> 'Benutzer',
	'ANTI_SPAM'							=> 'Antispam',
	'AUTH'								=> 'Auth',
	'EMAIL'								=> 'Email',
	'CONFIG_JABBER'						=> 'Jabber',
	'COOKIES'							=> 'Cookies',
	'SERVER'							=> 'Server Konfiguration',
	'SECURITY'							=> 'Sicherheit',
	'LOAD'								=> 'Auslastung',
	'SEARCH'							=> 'Suche',
	'MISC'								=> 'Verschiedenes',

	'active_sessions'					=> 'Sitzung beschränken',
	'allow_attachments'					=> 'Anhänge erlauben',
	'allow_autologin'					=> 'Erlaube "dauerhafte Anmeldung"',
	'allow_avatar'						=> 'Aktiviere Avatare',
	'allow_avatar_gravatar'				=> 'Aktiviere Gravatar Avatare',
	'allow_avatar_local'				=> 'Galerie-Avatare aktivieren',
	'allow_avatar_remote'				=> 'Aktiviere Remote Avatare',
	'allow_avatar_remote_upload'		=> 'Aktiviere Remote Avatar Uploading',
	'allow_avatar_upload'				=> 'Aktiviere Avatar Uploading',
	'allow_bbcode'						=> 'Erlaube BBCode',
	'allow_birthdays'					=> 'Erlaube Geburtstage',
	'allow_bookmarks'					=> 'Lesezeichen zulassen',
	'allow_cdn'							=> 'Nutzung von Drittanbietern Content Delivery Networks zulassen',
	'allow_emailreuse'					=> 'Mehrfachnutzung der E-Mail-Adresse erlauben',
	'allow_forum_notify'				=> 'Abonnement für Foren zulassen',
	'allow_live_searches'				=> 'Live-Suche zulassen',
	'allow_mass_pm'						=> 'Senden von privaten Nachrichten an mehrere Benutzer und Gruppen zulassen',
	'allow_name_chars'					=> 'Alle Zeichen in Benutzernamen erlauben',
	'allow_namechange'					=> 'Namenswechsel erlauben',
	'allow_nocensors'					=> 'Deaktivierung der Wortzensur zulassen',
	'allow_password_reset'				=> 'Erlaube Kennwort zurücksetzen ("Passwort vergessen")',
	'allow_pm_attach'					=> 'Anhänge in privaten Nachrichten zulassen',
	'allow_pm_report'					=> 'Benutzern erlauben, private Nachrichten zu melden',
	'allow_post_flash'					=> 'Erlaube die Verwendung von <code>[FLASH]</code> BBCode-Tag in Beiträgen',
	'allow_post_links'					=> 'Links in Beiträgen/privaten Nachrichten zulassen',
	'allow_privmsg'						=> 'Private Nachrichten zulassen',
	'allow_quick_reply'					=> 'Schnellantwort erlauben',
	'allow_sig'							=> 'Signaturen zulassen',
	'allow_sig_bbcode'					=> 'Erlaube BBCode',
	'allow_sig_flash'					=> 'Erlaube die Verwendung von <code>[FLASH]</code> BBCode-Tag in der Benutzer-Signatur',
	'allow_sig_img'						=> 'Erlaube die Verwendung von <code>[IMG]</code> BBCode-Tag in der Benutzer-Signatur',
	'allow_sig_links'					=> 'Verwendung von Links in Benutzersignaturen zulassen',
	'allow_sig_pm'						=> 'Signatur in privaten Nachrichten zulassen',
	'allow_sig_smilies'					=> 'Verwendung von Smilies in Benutzersignaturen zulassen',
	'allow_smilies'						=> 'Smilies erlauben',
	'allow_topic_notify'				=> 'Abonnieren von Themen zulassen',
	'assets_version'					=> 'Counter download neue CSS und javascripts von aktivierten/deaktivierten/gelöschten Daten von Extensions',
	'attachment_quota'					=> 'Total Anhänge quota',
	'auth_bbcode_pm'					=> 'BBCode in privaten Nachrichten zulassen',
	'auth_flash_pm'						=> 'Erlaube die Verwendung von <code>[FLASH]</code> BBCode-Tag',
	'auth_img_pm'						=> 'Erlaube die Verwendung von <code>[IMG]</code> BBCode-Tag',
	'auth_method'						=> 'Wählen eine Authentifizierungsmethode aus',
	'auth_oauth_bitly_key'				=> 'Key Bitly',
	'auth_oauth_bitly_secret'			=> 'Geheim Code Bitly',
	'auth_oauth_facebook_key'			=> 'Key Facebook',
	'auth_oauth_facebook_secret'		=> 'Geheim Code Facebook',
	'auth_oauth_google_key'				=> 'Key Google',
	'auth_oauth_google_secret'			=> 'Geheim Code Google',
	'auth_smilies_pm'					=> 'Smilies in privaten Nachrichten erlauben',
	'avatar_filesize'					=> 'Maximale Avatar Dateigröße',
	'avatar_gallery_path'				=> 'Avatar Galerie Pfad',
	'avatar_max_height'					=> 'Maximale Höhe des Avatars (in Pixel)',
	'avatar_max_width'					=> 'Maximale Avatarbreite (in Pixel)',
	'avatar_min_height'					=> 'Minimale Höhe des Avatars (in Pixel)',
	'avatar_min_width'					=> 'Minimale Avatarbreite (in Pixel)',
	'avatar_path'						=> 'Avatar-Speicherpfad',
	'avatar_salt'						=> 'Avatar-Salz (Salt) für Dateinamen',
	'board_contact'						=> 'Kontakt-E-Mailadresse',
	'board_contact_name'				=> 'Kontaktname',
	'board_disable'						=> 'Board deaktivieren',
	'board_disable_msg'					=> '',
	'board_email'						=> '',
	'board_email_form'					=> 'E-Mails über das Board versenden',
	'board_email_sig'					=> 'E-Mail Signatur',
	'board_hide_emails'					=> '',
	'board_index_text'					=> '',
	'board_startdate'					=> '',
	'board_timezone'					=> '',
	'browser_check'						=> '',
	'bump_interval'						=> '',
	'bump_type'							=> '',
	'cache_gc'							=> '',
	'cache_last_gc'						=> '',
	'captcha_gd'						=> 'GD image',
	'captcha_gd_3d_noise'				=> 'Hinzufügen von 3D-noise Objects',
	'captcha_gd_fonts'					=> 'verschiedene Schriftarten verwenden',
	'captcha_gd_foreground_noise'		=> 'Vordergrund Rauschen',
	'captcha_gd_wave'					=> 'Wellenverzerrung',
	'captcha_gd_x_grid'					=> 'Hintergrundrauschen x-Achse',
	'captcha_gd_y_grid'					=> 'Hintergrundrauschen y-Achse',
	'captcha_plugin'					=> 'Installierte Plugins',
	'check_attachment_content'			=> '',
	'check_dnsbl'						=> '',
	'chg_passforce'						=> '',
	'confirm_refresh'					=> 'Benutzer Austausch der Anti-Spam-Bot-Aufgabe erlauben',
	'contact_admin_form_enable'			=> '',
	'cookie_domain'						=> 'Cookie Domain',
	'cookie_name'						=> 'Cookie Name',
	'cookie_path'						=> 'Cookie Pfad',
	'cookie_secure'						=> 'Cookie Sicherer Server',
	'coppa_enable'						=> '',
	'coppa_fax'							=> 'COPPA-Faxnummer',
	'coppa_mail'						=> 'COPPA Mail-Adresse',
	'cron_lock'							=> '',
	'database_gc'						=> '',
	'database_last_gc'					=> '',
	'dbms_version'						=> '',
	'default_lang'						=> '',
	'default_style'						=> 'Default_style',
	'default_dateformat'				=> 'Datums Format',
	'delete_time'						=> '',
	'display_last_edited'				=> '',
	'display_last_subject'				=> '',
	'display_order'						=> '',
	'edit_time'							=> '',
	'email_check_mx'					=> '',
	'email_enable'						=> '',
	'email_function_name'				=> '',
	'email_max_chunk_size'				=> '',
	'email_package_size'				=> '',
	'enable_confirm'					=> '',
	'enable_mod_rewrite'				=> '',
	'enable_pm_icons'					=> '',
	'enable_post_confirm'				=> '',
	'extension_force_unstable'			=> '',
	'feed_enable'						=> 'Feeds aktivieren',
	'feed_forum'						=> 'Aktiviere pro Forum-Feeds',
	'feed_http_auth'					=> '',
	'feed_item_statistics'				=> '',
	'feed_limit_post'					=> '',
	'feed_limit_topic'					=> '',
	'feed_overall'						=> '',
	'feed_overall_forums'				=> '',
	'feed_topic'						=> 'Aktiviere pro Thema Feeds',
	'feed_topics_active'				=> '',
	'feed_topics_new'					=> '',
	'flood_interval'					=> 'Flood interval',
	'force_server_vars'					=> '',
	'form_token_lifetime'				=> '',
	'form_token_mintime'				=> '',
	'form_token_sid_guests'				=> '',
	'forward_pm'						=> '',
	'forwarded_for_check'				=> '',
	'full_folder_action'				=> '',
	'fulltext_mysql_max_word_len'		=> '',
	'fulltext_mysql_min_word_len'		=> '',
	'fulltext_native_common_thres'		=> '',
	'fulltext_native_load_upd'			=> '',
	'fulltext_native_max_chars'			=> '',
	'fulltext_native_min_chars'			=> '',
	'fulltext_postgres_max_word_len'	=> '',
	'fulltext_postgres_min_word_len'	=> '',
	'fulltext_postgres_ts_name'			=> '',
	'fulltext_sphinx_id'				=> '',
	'fulltext_sphinx_indexer_mem_limit'	=> '',
	'fulltext_sphinx_stopwords'			=> '',
	'gzip_compress'						=> '',
	'hot_threshold'						=> '',
	'help_send_statistics'				=> '',
	'help_send_statistics_time'			=> '',
	'icons_path'						=> '',
	'img_create_thumbnail'				=> '',
	'img_display_inlined'				=> '',
	'img_imagick'						=> '',
	'img_link_height'					=> '',
	'img_link_width'					=> '',
	'img_max_height'					=> '',
	'img_max_thumb_width'				=> '',
	'img_max_width'						=> '',
	'img_min_thumb_filesize'			=> '',
	'ip_check'							=> '',
	'ip_login_limit_max'				=> '',
	'ip_login_limit_time'				=> '',
	'ip_login_limit_use_forwarded'		=> '',
	'jab_enable'						=> '',
	'jab_host'							=> '',
	'jab_package_size'					=> '',
	'jab_password'						=> '',
	'jab_port'							=> '',
	'jab_use_ssl'						=> '',
	'jab_username'						=> '',
	'last_queue_run'					=> '',
	'ldap_base_dn' 						=> '',
	'ldap_email'						=> '',
	'ldap_password'						=> '',
	'ldap_port'							=> '',
	'ldap_server'						=> '',
	'ldap_uid'							=> '',
	'ldap_user'							=> '',
	'ldap_user_filter'					=> '',
	'legend_sort_groupname'				=> '',
	'limit_load'						=> '',
	'limit_search_load'					=> '',
	'load_anon_lastread'				=> '',
	'load_birthdays'					=> '',
	'load_cpf_memberlist'				=> '',
	'load_cpf_pm'						=> '',
	'load_cpf_viewprofile'				=> '',
	'load_cpf_viewtopic'				=> '',
	'load_db_lastread'					=> '',
	'load_db_track'						=> '',
	'load_jquery_url'					=> '',
	'load_jumpbox'						=> '',
	'load_moderators'					=> '',
	'load_notifications'				=> '',
	'load_online'						=> '',
	'load_online_guests'				=> '',
	'load_online_time'					=> '',
	'load_onlinetrack'					=> '',
	'load_search'						=> '',
	'load_tplcompile'					=> '',
	'load_unreads_search'				=> '',
	'load_user_activity'				=> '',
	'max_attachments'					=> '',
	'max_attachments_pm'				=> '',
	'max_autologin_time'				=> '',
	'max_filesize'						=> '',
	'max_filesize_pm'					=> '',
	'max_login_attempts'				=> '',
	'max_name_chars'					=> '',
	'max_num_search_keywords'			=> '',
	'max_pass_chars'					=> '',
	'max_poll_options'					=> '',
	'max_post_chars'					=> '',
	'max_post_font_size'				=> '',
	'max_post_img_height'				=> '',
	'max_post_img_width'				=> '',
	'max_post_smilies'					=> '',
	'max_post_urls'						=> '',
	'max_quote_depth'					=> '',
	'max_reg_attempts'					=> '',
	'max_sig_chars'						=> '',
	'max_sig_font_size'					=> '',
	'max_sig_img_height'				=> '',
	'max_sig_img_width'					=> '',
	'max_sig_smilies'					=> '',
	'max_sig_urls'						=> '',
	'mime_triggers'						=> '',
	'min_name_chars'					=> '',
	'min_pass_chars'					=> '',
	'min_post_chars'					=> '',
	'min_search_author_chars'			=> '',
	'new_member_group_default'			=> '',
	'new_member_post_limit'				=> '',
	'newest_user_colour'				=> '',
	'newest_user_id'					=> '',
	'newest_username'					=> '',
	'num_files'							=> '',
	'num_posts'							=> '',
	'num_topics'						=> '',
	'num_users'							=> '',
	'override_user_style'				=> '',
	'pass_complex'						=> '',
	'plupload_last_gc'					=> '',
	'plupload_salt'						=> '',
	'pm_edit_time'						=> '',
	'pm_max_boxes'						=> '',
	'pm_max_msgs'						=> '',
	'pm_max_recipients'					=> '',
	'posts_per_page'					=> '',
	'print_pm'							=> '',
	'questionnaire_unique_id'			=> '',
	'queue_interval'					=> '',
	'rand_seed'							=> '',
	'rand_seed_last_update'				=> '',
	'ranks_path'						=> '',
	'read_notification_expire_days'		=> '',
	'read_notification_gc'				=> '',
	'read_notification_last_gc'			=> '',
	'record_online_date'				=> '',
	'record_online_users'				=> '',
	'referer_validation'				=> '',
	'require_activation'				=> '',
	'script_path'						=> '',
	'search_anonymous_interval'			=> '',
	'search_block_size'					=> '',
	'search_gc'							=> '',
	'search_indexing_state'				=> '',
	'search_interval'					=> '',
	'search_last_gc'					=> '',
	'search_store_results'				=> '',
	'search_type'						=> '',
	'secure_allow_deny'					=> '',
	'secure_allow_empty_referer'		=> '',
	'secure_downloads'					=> '',
	'server_name'						=> '',
	'server_port'						=> '',
	'server_protocol'					=> '',
	'session_gc'						=> '',
	'session_last_gc'					=> '',
	'session_length'					=> '',
	'site_desc'							=> '',
	'site_home_text'					=> 'Bezeichnung der Homepage',
	'site_home_url'						=> 'URL der Homepage',
	'sitename'							=> 'Name des Boards',
	'smilies_path'						=> '',
	'smilies_per_page'					=> '',
	'smtp_auth_method'					=> 'Authentifizierungsmethode für SMTP',
	'smtp_delivery'						=> 'SMTP-Server für E-Mail nutzen',
	'smtp_host'							=> 'SMTP-Server-Adresse',
	'smtp_password'						=> 'SMTP-Passwort',
	'smtp_port'							=> 'SMTP-Server-Port',
	'smtp_username'						=> 'SMTP-Benutzername',
	'teampage_forums'					=> '',
	'teampage_memberships'				=> '',
	'topics_per_page'					=> '',
	'tpl_allow_php'						=> '',
	'upload_dir_size'					=> '',
	'upload_icons_path'					=> '',
	'upload_path'						=> '',
	'use_system_cron'					=> '',
	'version'							=> 'Version des Boards',
	'warnings_expire_days'				=> '',
	'warnings_gc'						=> '',
	'warnings_last_gc'					=> '',
	'remote_upload_verify'				=> '',
	'allow_board_notifications' 		=> 'Benachrichtigung über das Board zulassen',
	'allowed_schemes_links'				=> '',
	'UNKNOWN'							=> '<span style="color:#FF5D00"><em>Zweck unbekannt, Parameter ist nicht im Standardset für phpBB 3.1.x enthalten</em></span>',
));
